| Kea 3.0.2-git

crypto_hash.h File Reference
`#include <util/buffer.h>`
`#include <boost/noncopyable.hpp>`
`#include <cryptolink/cryptolink.h>`
Include dependency graph for crypto_hash.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::cryptolink::Hash
| Hash support. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::cryptolink

## Functions
void | isc::cryptolink::deleteHash (Hash *hash)
| Delete an Hash object.
void | isc::cryptolink::digest (const void *data, const size_t data_len, const HashAlgorithm hash_algorithm, isc::util::OutputBuffer &result, size_t len=0)
| Create an Hash digest for the given data.